Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.server.endpoint.advised
Class ConsumerAdvised

    java.lang.Object
      org.jboss.jms.server.endpoint.advised.AdvisedSupport
          org.jboss.jms.server.endpoint.advised.ConsumerAdvised

All Implemented Interfaces:
  Closeable, ConsumerEndpoint

public class ConsumerAdvised
extends AdvisedSupport
implements ConsumerEndpoint

The server-side advised instance corresponding to a Consumer. It is bound to the AOP Dispatcher's map.

Version:
  `$Revision: 1.7 $` $Id: ConsumerAdvised.java,v 1.7 2006/03/28 14:26:16 timfox Exp $
Author:
  Tim Fox, Ovidiu Feodorov

Field Summary
`protected ConsumerEndpoint` | `endpoint`

Constructor Summary
`ConsumerAdvised(ConsumerEndpoint endpoint)`

Method Summary
`void` | `activate()`
`void` | `cancelDeliveries(java.util.List messageIDs)`
`void` | `cancelDelivery(long messageID)`
`void` | `close()` Close the instance
`void` | `closing()` Tell the instance to prepare to close
`long` | `deactivate()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `getEndpoint()`
`MessageProxy` | `getMessageNow(boolean wait)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### endpoint

    protected ConsumerEndpoint endpoint

Constructor Detail

### ConsumerAdvised

    public ConsumerAdvised(ConsumerEndpoint endpoint)

Method Detail

### activate

    public void activate()
                  throws JMSException

  Specified by:
    `activate` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### cancelDelivery

    public void cancelDelivery(long messageID)
                        throws JMSException

  Specified by:
    `cancelDelivery` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### cancelDeliveries

    public void cancelDeliveries(java.util.List messageIDs)
                          throws JMSException

  Specified by:
    `cancelDeliveries` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### close

    public void close()
               throws JMSException

  Description copied from interface: `Closeable`
  Close the instance

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `JMSException`

### closing

    public void closing()
                 throws JMSException

  Description copied from interface: `Closeable`
  Tell the instance to prepare to close

  Specified by:
    `closing` in interface `Closeable`
  Throws:
    `JMSException`

### deactivate

    public long deactivate()
                    throws JMSException

  Specified by:
    `deactivate` in interface `ConsumerEndpoint`
  Returns:
    the last message ID delivered to the client consumer
  Throws:
    `JMSException`

### getMessageNow

    public MessageProxy getMessageNow(boolean wait)
                               throws JMSException

  Specified by:
    `getMessageNow` in interface `ConsumerEndpoint`
  Throws:
    `JMSException`

### getEndpoint

    public java.lang.Object getEndpoint()

  Specified by:
    `getEndpoint` in class `AdvisedSupport`

### equals

    public boolean equals(java.lang.Object obj)

### hashCode

    public int hashCode()

### toString

    public java.lang.String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 JBoss Inc. All Rights Reserved.